internal::streaming_node_traits< JP, StreamFactory, Ports > Struct Template Reference

`#include <_flow_graph_streaming_node.h>`

Inheritance diagram for internal::streaming_node_traits< JP, StreamFactory, Ports >:
Collaboration diagram for internal::streaming_node_traits< JP, StreamFactory, Ports >:

## Classes

struct | async_msg_type

## Public Types

typedef tuple< typename async_msg_type< Ports >::type... > | input_tuple
typedef input_tuple | output_tuple
typedef tuple< streaming_device_with_key< typename StreamFactory::device_type, typename key_from_policy< JP >::type >, typename async_msg_type< Ports >::type... > | kernel_input_tuple
typedef indexer_node< typename async_msg_type< Ports >::type... > | indexer_node_type

## Detailed Description

### template<typename JP, typename StreamFactory, typename... Ports>
struct internal::streaming_node_traits< JP, StreamFactory, Ports >

Definition at line 168 of file _flow_graph_streaming_node.h.

## Member Typedef Documentation

## indexer_node_type

template<typename JP, typename StreamFactory, typename... Ports>

typedef indexer_node< typename async_msg_type<Ports>::type... > internal::streaming_node_traits< JP, StreamFactory, Ports >::indexer_node_type

Definition at line 181 of file _flow_graph_streaming_node.h.

## input_tuple

template<typename JP, typename StreamFactory, typename... Ports>

typedef tuple< typename async_msg_type<Ports>::type... > internal::streaming_node_traits< JP, StreamFactory, Ports >::input_tuple

Definition at line 175 of file _flow_graph_streaming_node.h.

## kernel_input_tuple

template<typename JP, typename StreamFactory, typename... Ports>

typedef tuple< streaming_device_with_key< typename StreamFactory::device_type, typename key_from_policy<JP>::type >, typename async_msg_type<Ports>::type... > internal::streaming_node_traits< JP, StreamFactory, Ports >::kernel_input_tuple

Definition at line 178 of file _flow_graph_streaming_node.h.

## output_tuple

template<typename JP, typename StreamFactory, typename... Ports>

typedef input_tuple internal::streaming_node_traits< JP, StreamFactory, Ports >::output_tuple

Definition at line 176 of file _flow_graph_streaming_node.h.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.